Return products and product groups available to acquire
Return products and product groups available to acquire.
If type of group is 'BENEFICIARY_SPECIFIC_PRODUCT_GROUP', to get products call GET /products/{productGroupId} with beneficiaryId as described in product group's beneficiaryIdLabel.
If selected product's amountSource is 'BASED_ON_BENEFICIARY_ID', to get amount call GET /acquire/amount or call POST /acquire/product if you know the amount already (it will be checked as described in POST /acquire/product description).
- 200
- 401
- 403
Successful response with acquisition products.
- application/json
- Schema
- Example (from schema)
- Success
Schema
- Array [
- anyOf
- AcquireStaticProductGroup
- AcquireBeneficiarySpecificProductGroup
type string requiredPossible values: [
STATIC_PRODUCT_GROUP]groupId string requiredgroupName string requiredproducts object[] required
Array [sku ProductSku requiredProduct SKU
beneficiaryIdLabel stringOnly present if it is different than product group's beneficiaryIdLabel. Indicates the source of beneficiaryId passed in /acquire, for example: acquirer msisdn, ticket number or DSTV Smart Card number
amount doubleProduct's amount in Naira
productDescription string requiredamountSource string requiredPossible values: [
FIXED,PROVIDED_BY_USER,BASED_ON_BENEFICIARY_ID]tags string requiredProduct tags, used to categorize products
]type stringPossible values: [
BENEFICIARY_SPECIFIC_PRODUCT_GROUP]groupId stringgroupName stringbeneficiaryIdLabel stringtags stringPossible values: [
airtime,data,cable,operator_product] - ]
[
{
"type": "STATIC_PRODUCT_GROUP",
"groupId": "string",
"groupName": "string",
"products": [
[
{
"sku": "mtnRecharge",
"beneficiaryIdLabel": "Acquirer msisdn",
"productDescription": "MTN Recharge",
"amountSource": "PROVIDED_BY_USER",
"tags": [
"airtime",
"operator_product"
]
},
{
"sku": "gloData",
"beneficiaryIdLabel": "Acquirer msisdn",
"amount": 100,
"productDescription": "Glo data bundle 1GB",
"amountSource": "FIXED",
"tags": [
"data"
]
},
{
"sku": "dstv",
"beneficiaryIdLabel": "DSTV Smart Card number",
"productDescription": "DSTV bill payment",
"amountSource": "BASED_ON_BENEFICIARY_ID",
"tags": [
"cable"
]
}
]
]
},
{
"type": "BENEFICIARY_SPECIFIC_PRODUCT_GROUP",
"groupId": "string",
"groupName": "string",
"beneficiaryIdLabel": "string",
"tags": "airtime"
}
]
Successful response
[
{
"type": "STATIC_PRODUCT_GROUP",
"groupId": "staticProductGroup",
"groupName": "Static products",
"products": [
{
"sku": "1001",
"beneficiaryIdLabel": "Acquirer msisdn",
"productDescription": "MTN Recharge",
"amountSource": "PROVIDED_BY_USER",
"tags": [
"airtime",
"operator_product"
]
},
{
"sku": "7001",
"beneficiaryIdLabel": "Acquirer msisdn",
"productDescription": "Glo Recharge",
"amountSource": "FIXED",
"amount": 50,
"tags": [
"data",
"operator_product"
]
}
]
},
{
"type": "BENEFICIARY_SPECIFIC_PRODUCT_GROUP",
"groupId": "dstv",
"groupName": "DSTV payment",
"beneficiaryIdLabel": "Decoder number",
"tags": [
"cable"
]
},
{
"type": "BENEFICIARY_SPECIFIC_PRODUCT_GROUP",
"groupId": "startimes",
"groupName": "Startimes products",
"beneficiaryIdLabel": "Cable number",
"tags": [
"cable"
]
}
]
Your authentication data are invalid or not provided
You don't have proper permission to invoke this operation